Package com.github.lgooddatepicker.components

# Class DateTimePickerBeanInfo

java.lang.Object
java.beans.SimpleBeanInfo
com.github.lgooddatepicker.components.DateTimePickerBeanInfo

All Implemented Interfaces:
  `BeanInfo`

public class DateTimePickerBeanInfo extends SimpleBeanInfo
DateTimePickerBeanInfo, This class returns JavaBean information for the matching bean class. The class methods will return default BeanInfo Introspector information for properties, methods, and events, plus any customizations that are applied on top of the default Introspector data set.

## Field Summary

### Fields inherited from interface java.beans.BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

## Constructor Summary

Constructors
Constructor
Description
`DateTimePickerBeanInfo()`

## Method Summary

Modifier and Type
Method
Description
`BeanDescriptor`
`getBeanDescriptor()`
getBeanDescriptor, Returns the BeanInfo BeanDescriptor, or null to use automatic introspection.
`int`
`getDefaultEventIndex()`
getDefaultEventIndex, Returns the BeanInfo defaultEventIndex, or -1 if there is no default property.
`int`
`getDefaultPropertyIndex()`
getDefaultPropertyIndex, Returns the BeanInfo defaultPropertyIndex, or -1 if there is no default property.
`EventSetDescriptor[]`
`getEventSetDescriptors()`
getEventSetDescriptors, Returns the BeanInfo EventSetDescriptor array, or null to use automatic introspection.
`Image`
`getIcon(int iconType)`
getIcon, Returns the requested BeanInfo icon type, or null if an icon does not exist or cannot be retrieved.
`MethodDescriptor[]`
`getMethodDescriptors()`
getMethodDescriptors, Returns the BeanInfo MethodDescriptor array, or null to use automatic introspection.
`PropertyDescriptor[]`
`getPropertyDescriptors()`
getPropertyDescriptors, Returns the BeanInfo PropertyDescriptor array, or null to use automatic introspection.

### Methods inherited from class java.beans.SimpleBeanInfo

`getAdditionalBeanInfo, loadImage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DateTimePickerBeanInfo

public DateTimePickerBeanInfo()

## Method Details

### getIcon

public Image getIcon(int iconType)
getIcon, Returns the requested BeanInfo icon type, or null if an icon does not exist or cannot be retrieved.

Specified by:
  `getIcon` in interface `BeanInfo`
Overrides:
  `getIcon` in class `SimpleBeanInfo`

### getBeanDescriptor

public BeanDescriptor getBeanDescriptor()
getBeanDescriptor, Returns the BeanInfo BeanDescriptor, or null to use automatic introspection.

Specified by:
  `getBeanDescriptor` in interface `BeanInfo`
Overrides:
  `getBeanDescriptor` in class `SimpleBeanInfo`

### getPropertyDescriptors

public PropertyDescriptor[] getPropertyDescriptors()
getPropertyDescriptors, Returns the BeanInfo PropertyDescriptor array, or null to use automatic introspection. Each array element may be a PropertyDescriptor, or the IndexedPropertyDescriptor subclass of PropertyDescriptor.

Specified by:
  `getPropertyDescriptors` in interface `BeanInfo`
Overrides:
  `getPropertyDescriptors` in class `SimpleBeanInfo`

### getEventSetDescriptors

public EventSetDescriptor[] getEventSetDescriptors()
getEventSetDescriptors, Returns the BeanInfo EventSetDescriptor array, or null to use automatic introspection.

Specified by:
  `getEventSetDescriptors` in interface `BeanInfo`
Overrides:
  `getEventSetDescriptors` in class `SimpleBeanInfo`

### getMethodDescriptors

public MethodDescriptor[] getMethodDescriptors()
getMethodDescriptors, Returns the BeanInfo MethodDescriptor array, or null to use automatic introspection.

Specified by:
  `getMethodDescriptors` in interface `BeanInfo`
Overrides:
  `getMethodDescriptors` in class `SimpleBeanInfo`

### getDefaultPropertyIndex

public int getDefaultPropertyIndex()
getDefaultPropertyIndex, Returns the BeanInfo defaultPropertyIndex, or -1 if there is no default property.

Specified by:
  `getDefaultPropertyIndex` in interface `BeanInfo`
Overrides:
  `getDefaultPropertyIndex` in class `SimpleBeanInfo`

### getDefaultEventIndex

public int getDefaultEventIndex()
getDefaultEventIndex, Returns the BeanInfo defaultEventIndex, or -1 if there is no default property.

Specified by:
  `getDefaultEventIndex` in interface `BeanInfo`
Overrides:
  `getDefaultEventIndex` in class `SimpleBeanInfo`